Bug 184267 - Update port: devel/py-gitosis Add STAGE support
Summary: Update port: devel/py-gitosis Add STAGE support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-25 05:50 UTC by Douglas Thrift
Modified: 2013-11-27 16:55 UTC (History)
1 user (show)

See Also:


Attachments
py-gitosis.2013-11-25T053925Z.diff (6.83 KB, patch)
2013-11-25 05:50 UTC, Douglas Thrift
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2013-11-25 05:50:00 UTC
Add STAGE and PYDISTUTILS_AUTOPLIST support to devel/py-gitosis.
Comment 1 Edwin Groothuis freebsd_committer 2013-11-25 05:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

sunpoet@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-11-25 19:18:52 UTC
Author: sunpoet
Date: Mon Nov 25 19:18:45 2013
New Revision: 334887
URL: http://svnweb.freebsd.org/changeset/ports/334887

Log:
  - Use PYDISTUTILS_AUTOPLIST
  - Support STAGEDIR
  
  PR:		ports/184267
  Submitted by:	Douglas William Thrift <douglas@douglasthrift.net> (maintainer)

Deleted:
  head/devel/py-gitosis/pkg-plist
Modified:
  head/devel/py-gitosis/Makefile   (contents, props changed)

Modified: head/devel/py-gitosis/Makefile
==============================================================================
--- head/devel/py-gitosis/Makefile	Mon Nov 25 19:15:11 2013	(r334886)
+++ head/devel/py-gitosis/Makefile	Mon Nov 25 19:18:45 2013	(r334887)
@@ -18,15 +18,16 @@ RUN_DEPENDS=	git:${PORTSDIR}/devel/git
 USE_BZIP2=	yes
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	easy_install
+PYDISTUTILS_AUTOPLIST=	yes
 USERS=		git
 GROUPS=		${USERS}
 
 WRKSRC=		${WRKDIR}/${PORTNAME}
 PYDISTUTILS_PKGVERSION=	${PORTVERSION:R}
 
-NO_STAGE=	yes
+PLIST_DIRSTRY=	git
+
 post-install:
-	${CHMOD} +x ${PYTHON_SITELIBDIR}/${PYEASYINSTALL_EGG}/gitosis/templates/admin/hooks/post-update
-	@${CAT} ${PKGMESSAGE}
+	${CHMOD} +x ${STAGEDIR}${PYTHON_SITELIBDIR}/${PYEASYINSTALL_EGG}/gitosis/templates/admin/hooks/post-update
 
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Douglas Thrift 2013-11-26 04:08:35 UTC
Hello Sunpoet,

I had tried using PLIST_DIRSTRY and it caused pkgng to fail to package.
I looked at what the gitolite port was doing and it wasn't doing a
dirrmtry either after converting to STAGE support.
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>
Comment 4 Po-Chuan Hsieh freebsd_committer 2013-11-26 14:11:13 UTC
On Tue, Nov 26, 2013 at 12:08 PM, Douglas Thrift
<douglas@douglasthrift.net>wrote:

> Hello Sunpoet,
>
> I had tried using PLIST_DIRSTRY and it caused pkgng to fail to package.
> I looked at what the gitolite port was doing and it wasn't doing a
> dirrmtry either after converting to STAGE support.
> --
> Douglas William Thrift
> <douglas@douglasthrift.net>
> <http://douglasthrift.net/>
>

Hi,

Please see the last line of original pkg-plist [1]. It's "@dirrmtry git".
And I got a leftover (/usr/local/git) without adding PLIST_DIRSTRY.
But I think it can be removed.
I'll commit it ASAP.
Thanks.

[1]
http://svnweb.freebsd.org/ports/head/devel/py-gitosis/pkg-plist?view=markup&pathrev=300896(line
92)

Regards,
sunpoet
Comment 5 Po-Chuan Hsieh freebsd_committer 2013-11-27 16:55:21 UTC
State Changed
From-To: open->closed

Committed. Thanks!